Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 82057

Summary: Sendmail seems to ignore the trusted users class (Ct).
Product: [Retired] Red Hat Linux Reporter: Derek Martin <code>
Component: sendmailAssignee: Florian La Roche <laroche>
Status: CLOSED RAWHIDE QA Contact: David Lawrence <dkl>
Severity: medium Docs Contact:
Priority: medium    
Version: 8.0   
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2003-01-31 20:17:59 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Derek Martin 2003-01-16 22:18:15 UTC
Description of problem:
Using the sendmail-8.12.5-7 package from RH8, sendmail seems to ignore trusted
users, producing a warning header like this:

X-Authentication-Warning: luna.sophic.org: ddm set sender to foo@sophic.org using -f

I tried adding the user in two ways: added it to /etc/mail/trusted-users, and
when that didn't work, I also defined confTRUSTED_USERS in sendmail.mc and
recreated sendmail.cf.  The entries appear to have been created correctly:

#####################
#   Trusted users   #
#####################

# this is equivalent to setting class "t"
Ft/etc/mail/trusted-users
Troot
Tdaemon
Tuucp
Tddm

However, mail send by ddm with sendmail's -f flag still generates the warning
message.  I even restarted sendmail, though this should not be necessary, since
sendmail invoked on the command line will read the config file (and hence should
notice the Tddm)...

Note that I was able to test that it works fine for root, daemon, and uucp, but
NOT for ddm.

Here's my sendmail.mc:

divert(-1)
include(`/usr/share/sendmail-cf/m4/cf.m4')
VERSIONID(`linux setup for Red Hat Linux')dnl
OSTYPE(`linux')
define(`confDEF_USER_ID',``8:12'')dnl
undefine(`UUCP_RELAY')dnl
undefine(`BITNET_RELAY')dnl
define(`confTO_CONNECT', `1m')dnl
define(`confTRY_NULL_MX_LIST',true)dnl
define(`confDONT_PROBE_INTERFACES',true)dnl
define(`PROCMAIL_MAILER_PATH',`/usr/bin/procmail')dnl
define(`ALIAS_FILE', `/etc/aliases')dnl
define(`UUCP_MAILER_MAX', `2000000')dnl
define(`confUSERDB_SPEC', `/etc/mail/userdb.db')dnl
define(`confPRIVACY_FLAGS', `authwarnings,novrfy,noexpn,restrictqrun')dnl
define(`confAUTH_OPTIONS', `A')dnl
define(`MAIL_HUB',`mail')dnl
define(`confTO_IDENT', `0')dnl
define(`confTRUSTED_USERS',`ddm')dnl
FEATURE(`no_default_msa',`dnl')dnl
FEATURE(`smrsh',`/usr/sbin/smrsh')dnl
FEATURE(`mailertable',`hash -o /etc/mail/mailertable.db')dnl
FEATURE(`virtusertable',`hash -o /etc/mail/virtusertable.db')dnl
FEATURE(redirect)dnl
FEATURE(always_add_domain)dnl
FEATURE(use_cw_file)dnl
FEATURE(use_ct_file)dnl
FEATURE(local_procmail,`',`procmail -t -Y -a $h -d $u')dnl
FEATURE(`access_db',`hash -T<TMPF> -o /etc/mail/access.db')dnl
FEATURE(`blacklist_recipients')dnl
EXPOSED_USER(`root')dnl
DAEMON_OPTIONS(`Port=smtp,Addr=127.0.0.1, Name=MTA')
MAILER(smtp)dnl
MAILER(procmail)dnl
Cwluna

Thanks.  Oh, FWIW, I tested this on my 7.2 machine running sendmail-8.11.6, and
it worked fine by simply adding the user name to the ct file.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  add user to /etc/mail/trusted-users
2.  send mail using sendmail -f "someaddr@somedomain.com" to yourself
3.  note X-authentication-warning header in headers of received message
    

Additional info:

Comment 1 Florian La Roche 2003-01-22 11:52:35 UTC
Seems to work fine with current 8.12.7-4. If your sendmail already has a
submit.cf, make sure that is also setup correctly.

greetings,

Florian La Roche


Comment 2 Derek Martin 2003-01-22 16:54:21 UTC
Ok, but this is not the package that 8.0 ships with.  How do I get it?  There
appears to be no sendmail errata, and no update in the updates directory of the
FTP site.  I can't find this package anywhere on the FTP site...


Comment 3 Derek Martin 2003-01-30 18:51:41 UTC
Ok, I found sendmail 8.12.7 packages in Rawhide, but this is absolutely NOT a
solution to the problem.  Installing these packages requires an updated
libcrypto.so which means that in order to install this package, I have to update
half my system with beta quality software.  Sendmail 8.12.7 is not what is
shipped with Red Hat 8, and I can't run your 8.12 packages, so this is clearly
still a bug.

Comment 4 Florian La Roche 2003-01-31 20:17:59 UTC
This is only a configuration issue, please adjust it with your existing rpm
and all should be working fine.

greetings,

Florian La Roche


Comment 5 Derek Martin 2003-01-31 20:55:23 UTC
Ok, I get it.  I was not aware that there was a seperate config file for the
msp, and didn't get your comment about the submit.cf file above.  It's all set.
 Thanks